<back to all web services

MarkAndSendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate/markandsend
"use strict";
export class MarkForTranslation {
    /** @param {{Ids?:string[],ProviderName?:string,ItemType?:string,SourceLanguage?:string,TargetLanguages?:string[],ActualSourceLanguage?:string,AllowPartialSuccess?:boolean}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string[]} */
    Ids;
    /** @type {string} */
    ProviderName;
    /** @type {string} */
    ItemType;
    /** @type {string} */
    SourceLanguage;
    /** @type {string[]} */
    TargetLanguages;
    /** @type {string} */
    ActualSourceLanguage;
    /** @type {boolean} */
    AllowPartialSuccess;
}
export class CreateProject {
    /** @param {{Title?:string,StartDate?:string,EndDate?:string,Description?:string,Connector?:string,PoReference?:string,ActualSourceLanguage?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Title;
    /** @type {?string} */
    StartDate;
    /** @type {?string} */
    EndDate;
    /** @type {string} */
    Description;
    /** @type {string} */
    Connector;
    /** @type {string} */
    PoReference;
    /** @type {string} */
    ActualSourceLanguage;
}
export class MarkAndSendForTranslation extends MarkForTranslation {
    /** @param {{ProjectData?:CreateProject,Ids?:string[],ProviderName?:string,ItemType?:string,SourceLanguage?:string,TargetLanguages?:string[],ActualSourceLanguage?:string,AllowPartialSuccess?:boolean}} [init] */
    constructor(init) { super(init); Object.assign(this, init) }
    /** @type {CreateProject} */
    ProjectData;
}

JavaScript MarkAndSendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate/markandsend HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"},"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.